buildscript {
    repositories {
        mavenLocal()
        maven {
            allowInsecureProtocol = true
            url "http://maven.aliyun.com/nexus/content/groups/public" }
        mavenCentral()
    }
    dependencies {
        classpath("$bootGroup:spring-boot-gradle-plugin:$springBootVersion")
    }
}

apply plugin: "$bootGroup"
apply plugin: 'io.spring.dependency-management'


dependencies {
    implementation project(":common:utils")
    implementation project(":common:data")
    implementation project(":dao:dao-interface")
    implementation project(":dao:dao-sql")
    implementation project(":dao:dao-redis")
    implementation ("mysql:mysql-connector-java:$mysqlConnectorVersion")

    implementation("$bootGroup:spring-boot-starter-test")
    implementation 'com.alibaba:druid:$alibabaDruidVersion'
    implementation("$bootGroup:spring-boot-starter-web")
    //compile("$bootGroup:spring-boot-starter-session")
    implementation("$bootGroup:spring-boot-starter-websocket")
    implementation("$bootGroup:spring-boot-starter-undertow")
    implementation("org.apache.logging.log4j:log4j-core:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-jul:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-api:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-slf4j-impl:$log4jVersion")
    implementation("$bootGroup:spring-boot-starter-data-redis-reactive")
    implementation('com.fasterxml.jackson.datatype:jackson-datatype-jdk8')
    implementation ("com.taosdata.jdbc:taos-jdbcdriver:2.0.35"){
        exclude group: 'com.alibaba', module: 'fastjson'
    }
    implementation 'org.apache.commons:commons-pool2'
}

